# Update an account member role - Checkly Docs

Source: https://www.checklyhq.com/docs/api-reference/accounts/update-an-account-member-role/

---

Update an account member role

```
curl --request PATCH \
--url https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId} \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data '{}'
```

```
import requests

url = "https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId}"

payload = {}
headers = {
"Authorization": "Bearer ",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([

]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer ",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId}"

payload := strings.NewReader("{}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("Authorization", "Bearer ")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.patch("https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId}")
.header("Authorization", "Bearer ")
.header("Content-Type", "application/json")
.body("{}")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer '
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```
{
"type": "member",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": " ",
"email": "jsmith@example.com",
"role": "OWNER",
"customRole": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": " "
},
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isSupportMembership": true,
"ssoEnabled": true,
"mfaEnabled": true
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

Accounts

# Update an account member role

PATCH

/

v1

/

accounts

/

{accountId}

/

members

/

{userId}

Update an account member role

```
curl --request PATCH \
--url https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId} \
--header 'Authorization: Bearer ' \
--header 'Content-Type: application/json' \
--data '{}'
```

```
import requests

url = "https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId}"

payload = {}
headers = {
"Authorization": "Bearer ",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([

]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer ",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId}"

payload := strings.NewReader("{}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("Authorization", "Bearer ")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.patch("https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId}")
.header("Authorization", "Bearer ")
.header("Content-Type", "application/json")
.body("{}")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v1/accounts/{accountId}/members/{userId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer '
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```
{
"type": "member",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": " ",
"email": "jsmith@example.com",
"role": "OWNER",
"customRole": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": " "
},
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isSupportMembership": true,
"ssoEnabled": true,
"mfaEnabled": true
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

```
{
"statusCode": 123,
"error": " ",
"message": " ",
"errorCode": "ERR_ACCOUNT_NOT_ACCESSIBLE"
}
```

#### Authorizations

​

Authorization

string

header

required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key [here](https://app.checklyhq.com/settings/user/api-keys).
Your API key is like a password:
keep it secure!

Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.

For example, set Authorization header while using cURL: `curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"`

#### Headers

​

x-checkly-account

string<uuid>

Your Checkly account ID, you can find it at [https://app.checklyhq.com/settings/account/general](https://app.checklyhq.com/settings/account/general)

#### Path Parameters

​

accountId

string<uuid>

required

​

userId

string<uuid>

required

#### Body

application/json

​

role

enum<string>

required

New account member role. OWNER is not supported.

Available options: `ADMIN`,

`READ_WRITE`,

`READ_RUN`,

`READ_ONLY`

#### Response

Successful

​

type

enum<string>

required

Available options: `member`

​

accountId

string<uuid>

required

​

userId

string<uuid>

required

​

name

string | null

required

​

email

string<email>

required

​

role

enum<string>

required

Available options: `OWNER`,

`ADMIN`,

`READ_WRITE`,

`READ_RUN`,

`READ_ONLY`,

`CUSTOM`

​

customRole

object | null

required

The custom role held when role is CUSTOM; null otherwise.

Show child attributes

​

status

enum<string>

required

Available options: `ACTIVE`

​

createdAt

string<date-time>

required

​

updatedAt

string<date-time>

required

​

isSupportMembership

boolean

required

​

ssoEnabled

boolean

required

​

mfaEnabled

boolean

required

Was this page helpful?

[Suggest edits](https://github.com/checkly/docs/edit/main/api-reference/accounts/update-an-account-member-role.mdx)[Raise issue](https://github.com/checkly/docs/issues/new?title=Issue%20on%20docs&body=Path:%20/api-reference/accounts/update-an-account-member-role)

[Remove an account member Previous](https://www.checklyhq.com/docs/api-reference/accounts/remove-an-account-member)[List all alert channels Next](https://www.checklyhq.com/docs/api-reference/alert-channels/list-all-alert-channels)

[x](https://x.com/checklyhq)[github](https://github.com/checkly)[linkedin](https://linkedin.com/company/checkly)

[Powered by This documentation is built and hosted on Mintlify, a developer documentation platform](https://www.mintlify.com/?utm_campaign=poweredBy&utm_medium=referral&utm_source=checkly-422f444a)
